Package com.macrofocus.high_d.parallelcoordinates.javafx

# Class JavaFXParallelCoordinatesComponent<Row,Column>

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
com.macrofocus.high_d.parallelcoordinates.javafx.JavaFXParallelCoordinatesComponent<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `ParallelCoordinatesComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

public class JavaFXParallelCoordinatesComponent<Row,Column> extends AbstractParallelCoordinatesComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesComponent

  `AbstractParallelCoordinatesComponent.AbstractVisualLayerIDrawing, AbstractParallelCoordinatesComponent.Cache`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesComponent

  `canvas, level, model, timer, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXParallelCoordinatesComponent(ParallelCoordinatesView view, int level)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getHeight()`
  `javafx.scene.Node`
  `getNativeComponent()`
  `protected int`
  `getWidth()`
  `void`
  `refresh()`
  `void`
  `repaint()`
  `void`
  `reset()`
  `void`
  `scheduleUpdate()`
  `void`
  `setStyleClass(String... styleClasses)`
  `void`
  `waitUntilReady()`

  ### Methods inherited from class com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesComponent

  `clearCache, createOverplots, distance, getClosestRow, getRows, getShape, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXParallelCoordinatesComponent

    public JavaFXParallelCoordinatesComponent(ParallelCoordinatesView view, int level)

- ## Method Details

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### scheduleUpdate

    public void scheduleUpdate()

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()

  - ### getWidth

    protected int getWidth()
    Specified by:
      `getWidth` in class `AbstractParallelCoordinatesComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### getHeight

    protected int getHeight()
    Specified by:
      `getHeight` in class `AbstractParallelCoordinatesComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### repaint

    public void repaint()
    Specified by:
      `repaint` in class `AbstractParallelCoordinatesComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### refresh

    public void refresh()
    Specified by:
      `refresh` in class `AbstractParallelCoordinatesComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### reset

    public void reset()

  - ### waitUntilReady

    public void waitUntilReady()